<?php

/**
 * Subclass for representing a row from the 'katao_product_category' table.
 *
 * @package lib.model
 */
class KataoProductCategory extends BaseKataoProductCategory {
    public function __toString() {
        return $this->getName();
    }

    public function save($con = null) {
        if ('' == $this->getUrlIdentifier()) {
            $this->setUrlIdentifier(Catalyz::normalizeUrlIdentifier($this->getName()));
        }
        parent::save($con);
    }

    public function isDeletable() {
        return (0 == $this->countKataoProductFamilys());
    }
}